Seite 1 von 2 12 LetzteLetzte
Ergebnis 1 bis 40 von 58

Thema: Was gibt man im Manager ein, wenn ...

  1. #1
    Contao-Fan Avatar von Birden
    Registriert seit
    15.01.2011.
    Beiträge
    691

    Standard Was gibt man im Manager ein, wenn ...

    Was gibt man im Manager ein, wenn man von der 4.13 auf 5.0.0-RC1

  2. #2
    Community-Moderatorin & Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    5.762
    Partner-ID
    7421
    Contao-Projekt unterstützen

    Support Contao

    Standard

    5.0.*@RC
    auch nachzulesen in der Doku https://docs.contao.org/manual/de/an...contao-manager
    Ich habe Dir mit meinen Hinweisen geholfen und Du möchtest Dich bedanken?
    Unterstütze bitte das Contao-Projekt (Button Links)
    Weitere Spendenmöglichkeiten
    ------------------------------------------------------------------------------------------------------
    Contao-Dokumentation: Contao-Handbuch und Contao-Entwickler-Doku
    Contao-Online-Video-Kurse: Contao Academy
    Funktionalität erweitern: Contao-Erweiterungen

    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.




  3. #3
    Contao-Fan Avatar von Birden
    Registriert seit
    15.01.2011.
    Beiträge
    691

    Standard

    das versuchte ich als erstes

    nix.png

    aber das, wie auch alles andere was ich schon versuchte schlug fehl

  4. #4
    Alter Contao-Hase
    Registriert seit
    18.07.2012.
    Ort
    Löbau
    Beiträge
    1.047

    Standard

    Zitat Zitat von Birden Beitrag anzeigen
    das versuchte ich als erstes

    nix.png

    aber das, wie auch alles andere was ich schon versuchte schlug fehl

    Kann ich bestätigen, folgendes kommt bei mir:

    Problem 1
    - Root composer.json requires contao/calendar-bundle 5.0.*@RC, found contao/calendar-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
    Problem 2
    - Root composer.json requires contao/comments-bundle 5.0.*@RC, found contao/comments-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
    Problem 3
    - Root composer.json requires contao/core-bundle 5.0.*@RC, found contao/core-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
    Problem 4
    - Root composer.json requires contao/faq-bundle 5.0.*@RC, found contao/faq-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
    Problem 5
    - Root composer.json requires contao/installation-bundle 5.0.*@RC, found contao/installation-bundle[0.9.0, ..., 0.9.9, 1.0.0-beta1, ..., 1.2.4, 4.3.5, ..., 4.13.x-dev, 5.x-dev] but it does not match the constraint.
    Problem 6
    - Root composer.json requires contao/listing-bundle 5.0.*@RC, found contao/listing-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
    Problem 7
    - Root composer.json requires contao/manager-bundle 5.0.*@RC, found contao/manager-bundle[4.3.0, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
    Problem 8
    - Root composer.json requires contao/news-bundle 5.0.*@RC, found contao/news-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
    Problem 9
    - Root composer.json requires contao/newsletter-bundle 5.0.*@RC, found contao/newsletter-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
    Liebe Grüße
    WebRoxx


  5. #5
    Community-Moderatorin & Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    5.762
    Partner-ID
    7421
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Die Anzeige "unbekannte Version" ist glaube ich bei den Testversionen normal.

    Habe gerade etwas gespielt und den gleichen Fehler erhalten wie @WebRoxx. Kommt mir so vor als ob er bei den Bundles keine passenden für den RC findet.

    Mit 5.x-dev habe ich dann die aktuellste dev-Version auf Windows 10 mit XAMPP, installieren können.
    Ich habe Dir mit meinen Hinweisen geholfen und Du möchtest Dich bedanken?
    Unterstütze bitte das Contao-Projekt (Button Links)
    Weitere Spendenmöglichkeiten
    ------------------------------------------------------------------------------------------------------
    Contao-Dokumentation: Contao-Handbuch und Contao-Entwickler-Doku
    Contao-Online-Video-Kurse: Contao Academy
    Funktionalität erweitern: Contao-Erweiterungen

    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.




  6. #6
    Contao-Fan Avatar von Birden
    Registriert seit
    15.01.2011.
    Beiträge
    691

    Standard

    ob die RC überhaupt auf dem Server ist?

  7. #7
    AG Pressearbeit
    Community-Moderator
    Buchautor 'Contao für Webdesigner'
    Avatar von planepix
    Registriert seit
    05.06.2009.
    Ort
    Stuttgart
    Beiträge
    6.258
    Partner-ID
    107
    Contao-Projekt unterstützen

    Support Contao

    Standard Was gibt man im Manager ein, wenn ...

    Ich habs heute Vormittag irgendwann dann hinbekommen.

    Habe schlussendlich dann wie von Maren geschrieben, das mit einer leeren Installation hinbekommen.

    Also im Manager auf abbrechen geklickt und dann im Core-Bundle die 5.x-dev eingetragen.
    ---------------------------------
    Beste Grüße planepix
    Contao für Webdesigner (Website), Twitter: @contaowebdesign
    weitzeldesign
    Contao-Sprechstunde
    Contao Schulungen: https://www.weitzeldesign.com/cms-co...chulungen.html
    Contao Jahrbuch: www.contao-jahrbuch.de
    Contao Agenturtag: www.contao-agenturtag.de
    Contao Stammtisch Stuttgart: www.contao-stammtisch-stuttgart.de
    Contao 4 Erfahrungen als Gitbook: https://app.gitbook.com/@planepix/s/...-mit-contao-4/
    Contao 4 & Manager Hosterhinweise: https://github.com/contao/contao-manager/wiki

    It's OpenSource. So invest with your code, your time to test and your support.

  8. #8
    AG Pressearbeit
    Community-Moderator
    Buchautor 'Contao für Webdesigner'
    Avatar von planepix
    Registriert seit
    05.06.2009.
    Ort
    Stuttgart
    Beiträge
    6.258
    Partner-ID
    107
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Habe mich mal bisschen umgesehen im Backend der 5er-dev.

    Einige icons sind neu. Seitenstruktur und Dateiverwaltung sind nun unter „Inhalte”.

    Einige neue FE-Module hab ich entdeckt.

    Das Installtool ist in der Version 5 integriert; der Aufruf aus dem Manager liefert vermutlich deshalb einen Fehler „Bad Request. The key "username" must be a string, "NULL" given.”

    Getestet bei allinkl mit PHP 8.1.

    Sicher wird es wieder ein Post oder ein Contao TV zu den Neuerungen geben - alleine die Liste der Änderungen / Funktionen ist enorm. Danke ans Team!!

    https://github.com/contao/contao/blob/5.x/UPGRADE.md
    https://github.com/contao/contao/blob/5.x/DEPRECATED.md
    Geändert von planepix (16.07.2022 um 20:14 Uhr)
    ---------------------------------
    Beste Grüße planepix
    Contao für Webdesigner (Website), Twitter: @contaowebdesign
    weitzeldesign
    Contao-Sprechstunde
    Contao Schulungen: https://www.weitzeldesign.com/cms-co...chulungen.html
    Contao Jahrbuch: www.contao-jahrbuch.de
    Contao Agenturtag: www.contao-agenturtag.de
    Contao Stammtisch Stuttgart: www.contao-stammtisch-stuttgart.de
    Contao 4 Erfahrungen als Gitbook: https://app.gitbook.com/@planepix/s/...-mit-contao-4/
    Contao 4 & Manager Hosterhinweise: https://github.com/contao/contao-manager/wiki

    It's OpenSource. So invest with your code, your time to test and your support.

  9. #9
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Ist das jetzt mit der Installation von 5.x-dev die hochoffizielle RC1-Version oder ist das schon wieder eine Weiterentwicklung, die vielleicht Fehler enthalten kann, die in der offiziellen RC1 noch nicht drin sind? Ich will mir da jedenfalls nichts installieren, was kein offizieller Release Candidate, sondern ein beliebiger, aktueller Stand einer Developer-Version ist.

  10. #10
    AG Pressearbeit
    Community-Moderator
    Buchautor 'Contao für Webdesigner'
    Avatar von planepix
    Registriert seit
    05.06.2009.
    Ort
    Stuttgart
    Beiträge
    6.258
    Partner-ID
    107
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Hallo tab,
    mit 5.0.*@RC lies es sich nicht installieren. Habe dann wie Maren geschrieben hat es mit der Dev-Version versucht.
    Das die Dev-Version eben andere Fehler wirft, ist nachvollziehbar.

    Eben noch mal mit
    5.0.*@RC versucht. Nö is nicht…
    Code:
    > Resolving dependencies using Composer Cloud v3.4.4
    !!! Current server is sponsored by: Contao Association !!!
    [6.5MiB/0.17s] Loading composer repositories with package information
    [6.8MiB/0.50s] Info from https://repo.packagist.org: #StandWithUkraine
    [7.1MiB/0.55s] Updating dependencies
    [8.7MiB/0.76s] Your requirements could not be resolved to an installable set of packages.
    [8.7MiB/0.76s] 
      Problem 1
        - Root composer.json requires contao/calendar-bundle 5.0.*@RC, found contao/calendar-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
      Problem 2
        - Root composer.json requires contao/comments-bundle 5.0.*@RC, found contao/comments-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
      Problem 3
        - Root composer.json requires contao/faq-bundle 5.0.*@RC, found contao/faq-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
      Problem 4
        - Root composer.json requires contao/listing-bundle 5.0.*@RC, found contao/listing-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
      Problem 5
        - Root composer.json requires contao/manager-bundle 5.0.*@RC, found contao/manager-bundle[4.3.0, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
      Problem 6
        - Root composer.json requires contao/news-bundle 5.0.*@RC, found contao/news-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
      Problem 7
        - Root composer.json requires contao/newsletter-bundle 5.0.*@RC, found contao/newsletter-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
    [8.7MiB/0.76s] <warning>Running update with --no-dev does not mean require-dev is ignored, it just means the packages will not be installed. If dev requirements are blocking the update you have to resolve those problems.</warning>
    [7.5MiB/0.77s] Memory usage: 7.48MB (peak: 10.98MB), time: 0.77s.
    [7.5MiB/0.77s] Finished Composer Cloud resolving.
    ---------------------------------
    Beste Grüße planepix
    Contao für Webdesigner (Website), Twitter: @contaowebdesign
    weitzeldesign
    Contao-Sprechstunde
    Contao Schulungen: https://www.weitzeldesign.com/cms-co...chulungen.html
    Contao Jahrbuch: www.contao-jahrbuch.de
    Contao Agenturtag: www.contao-agenturtag.de
    Contao Stammtisch Stuttgart: www.contao-stammtisch-stuttgart.de
    Contao 4 Erfahrungen als Gitbook: https://app.gitbook.com/@planepix/s/...-mit-contao-4/
    Contao 4 & Manager Hosterhinweise: https://github.com/contao/contao-manager/wiki

    It's OpenSource. So invest with your code, your time to test and your support.

  11. #11
    Wandelndes Contao-Lexikon Avatar von BugBuster
    Registriert seit
    15.06.2009.
    Ort
    Berlin
    Beiträge
    10.352
    User beschenken
    Wunschliste

    Standard

    Also laut packagist.org gibt es eine 5.0.0-RC1, hab es selber noch nicht probiert. Vielleicht geht es damit, damit würde man dann aber nicht automatisch zur RC2 kommen ohne es anzupassen (wenn es die dann gibt)
    Grüße, BugBuster
    "view source" is your guide.
    Danke an alle Amazon Wunschlisten Erfüller

  12. #12
    AG Pressearbeit
    Community-Moderator
    Buchautor 'Contao für Webdesigner'
    Avatar von planepix
    Registriert seit
    05.06.2009.
    Ort
    Stuttgart
    Beiträge
    6.258
    Partner-ID
    107
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Hallo Glen,

    auch das habe ich versucht. Auch damit ging es nicht. Denke wir warten ab
    ---------------------------------
    Beste Grüße planepix
    Contao für Webdesigner (Website), Twitter: @contaowebdesign
    weitzeldesign
    Contao-Sprechstunde
    Contao Schulungen: https://www.weitzeldesign.com/cms-co...chulungen.html
    Contao Jahrbuch: www.contao-jahrbuch.de
    Contao Agenturtag: www.contao-agenturtag.de
    Contao Stammtisch Stuttgart: www.contao-stammtisch-stuttgart.de
    Contao 4 Erfahrungen als Gitbook: https://app.gitbook.com/@planepix/s/...-mit-contao-4/
    Contao 4 & Manager Hosterhinweise: https://github.com/contao/contao-manager/wiki

    It's OpenSource. So invest with your code, your time to test and your support.

  13. #13
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Zitat Zitat von planepix Beitrag anzeigen
    Hallo tab,
    mit 5.0.*@RC lies es sich nicht installieren. Habe dann wie Maren geschrieben hat es mit der Dev-Version versucht.
    Das die Dev-Version eben andere Fehler wirft, ist nachvollziehbar.

    Eben noch mal mit
    5.0.*@RC versucht. Nö is nicht…
    Code:
    > Resolving dependencies using Composer Cloud v3.4.4
    !!! Current server is sponsored by: Contao Association !!!
    [6.5MiB/0.17s] Loading composer repositories with package information
    [6.8MiB/0.50s] Info from https://repo.packagist.org: #StandWithUkraine
    [7.1MiB/0.55s] Updating dependencies
    [8.7MiB/0.76s] Your requirements could not be resolved to an installable set of packages.
    [8.7MiB/0.76s] 
      Problem 1
        - Root composer.json requires contao/calendar-bundle 5.0.*@RC, found contao/calendar-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
      Problem 2
        - Root composer.json requires contao/comments-bundle 5.0.*@RC, found contao/comments-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
      Problem 3
        - Root composer.json requires contao/faq-bundle 5.0.*@RC, found contao/faq-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
      Problem 4
        - Root composer.json requires contao/listing-bundle 5.0.*@RC, found contao/listing-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
      Problem 5
        - Root composer.json requires contao/manager-bundle 5.0.*@RC, found contao/manager-bundle[4.3.0, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
      Problem 6
        - Root composer.json requires contao/news-bundle 5.0.*@RC, found contao/news-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
      Problem 7
        - Root composer.json requires contao/newsletter-bundle 5.0.*@RC, found contao/newsletter-bundle[4.0.0-beta1, ..., 4.13.x-dev, 5.1.x-dev, 5.x-dev] but it does not match the constraint.
    [8.7MiB/0.76s] <warning>Running update with --no-dev does not mean require-dev is ignored, it just means the packages will not be installed. If dev requirements are blocking the update you have to resolve those problems.</warning>
    [7.5MiB/0.77s] Memory usage: 7.48MB (peak: 10.98MB), time: 0.77s.
    [7.5MiB/0.77s] Finished Composer Cloud resolving.
    Hmm, das sieht mir so aus, als ob zwar der Core als 5.0 RC1 vorhanden ist, aber die passenden Bundles für News etc fehlen.
    Vielleicht probiere ich morgen mal, nur den reinen Core zu installieren, ohne sonstige Bundles.

  14. #14
    Community-Moderatorin & Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    5.762
    Partner-ID
    7421
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Ja genau. Das hatte ich auch vermutet.
    Ich habe Dir mit meinen Hinweisen geholfen und Du möchtest Dich bedanken?
    Unterstütze bitte das Contao-Projekt (Button Links)
    Weitere Spendenmöglichkeiten
    ------------------------------------------------------------------------------------------------------
    Contao-Dokumentation: Contao-Handbuch und Contao-Entwickler-Doku
    Contao-Online-Video-Kurse: Contao Academy
    Funktionalität erweitern: Contao-Erweiterungen

    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.




  15. #15
    Contao-Nutzer Avatar von Joern
    Registriert seit
    14.09.2018.
    Beiträge
    126

    Standard

    Nur den Core für 5.0.*@RC zu installieren und die anderen Pakete abzuwählen funktioniert bei mir auch nicht.

  16. #16
    Community-Moderatorin & Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    5.762
    Partner-ID
    7421
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Habe es mal im Slackchanel gepostet https://contao.slack.com/archives/CK...58049398991629
    Ich habe Dir mit meinen Hinweisen geholfen und Du möchtest Dich bedanken?
    Unterstütze bitte das Contao-Projekt (Button Links)
    Weitere Spendenmöglichkeiten
    ------------------------------------------------------------------------------------------------------
    Contao-Dokumentation: Contao-Handbuch und Contao-Entwickler-Doku
    Contao-Online-Video-Kurse: Contao Academy
    Funktionalität erweitern: Contao-Erweiterungen

    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.




  17. #17
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Hatte schon die Hoffnung, dass nach der heutigen, nochmalen Ankündigung es vielleicht mit 5.0.*@RC klappt, geht aber weiterhin nicht. Also warte ich erst mal ab.

    Edit: Autsch, hatte ich da Tomaten auf den Augen? Ich hatte mir eingebildet, eine neue Ankündigung der RC-Version mit Datum heute, 13 Uhr gesehen zu haben. Egal, nächste Wche ist auch noch ein Tag.
    Geändert von tab (17.07.2022 um 13:57 Uhr)

  18. #18
    Alter Contao-Hase Avatar von bizon
    Registriert seit
    16.06.2010.
    Beiträge
    1.089

    Standard

    Mit dieser composer.json
    Code:
    {
        "type": "project",
        "require": {
            "contao/contao": "5.0.*"
        },
    	"minimum-stability": "RC",
    	"prefer-stable": true,
        "extra": {
            "public-dir": "public",
            "contao-component-dir": "assets"
        },
        "scripts": {
            "post-install-cmd": [
                "@php vendor/bin/contao-setup"
            ],
            "post-update-cmd": [
                "@php vendor/bin/contao-setup"
            ]
        },
        "config": {
            "allow-plugins": {
                "contao-components/installer": true,
                "contao/manager-plugin": true
            }
        }
    }
    habe ich contao-5.0.0-RC1 auf der Console installiert.

  19. #19
    Contao-Fan Avatar von Birden
    Registriert seit
    15.01.2011.
    Beiträge
    691

    Standard

    Gibt es schon etwas neues auf dem Planeten Upgrad?

  20. #20
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    30.320
    Partner-ID
    10107

    Standard

    Die RC Version Tags sind mittlerweile bei den einzelnen Bundles verfügbar.
    » sponsor me via GitHub or PayPal or Revolut

  21. #21
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Das hier klappt aber bei mir immer noch nicht:
    https://community.contao.org/de/show...l=1#post561035
    Code:
    composer require contao/manager-bundle=5.0.*@RC contao/news-bundle=5.0.*@RC contao/calendar-bundle=5.0.*@RC contao/faq-bundle=5.0.*@RC contao/comments-bundle=5.0.*@RC contao/newsletter-bundle=5.0.*@RC contao/listing-bundle=5.0.*@RC
    $ /opt/keyhelp/php/8.1/bin/php -q -dmax_execution_time=0 -dmemory_limit=-1 -dallow_url_fopen=1 -ddisable_functions= -ddate.timezone=Europe/Berlin /home/users/tab/www/c5rc1.bit-06.de/public/contao-manager.phar.php composer require contao/manager-bundle=5.0.*@RC contao/news-bundle=5.0.*@RC contao/calendar-bundle=5.0.*@RC contao/faq-bundle=5.0.*@RC contao/comments-bundle=5.0.*@RC contao/newsletter-bundle=5.0.*@RC contao/listing-bundle=5.0.*@RC contao/core-bundle=5.0.*@RC contao/installation-bundle=5.0.*@RC --no-update --no-scripts --prefer-stable --sort-packages --no-ansi --no-interaction
    /home/users/tab/www/c5rc1.bit-06.de/composer.json has been updated
    # Process terminated with exit code 0
    # Result: OK
    composer update --no-install
    > Resolving dependencies using Composer Cloud v3.4.4
    !!! Current server is sponsored by: Contao Association !!!
    [6.4MiB/0.21s] Loading composer repositories with package information
    [50.5MiB/4.34s] Updating dependencies
    [86.4MiB/4.74s] Your requirements could not be resolved to an installable set of packages.
    [86.4MiB/4.75s] 
      Problem 1
        - Root composer.json requires contao/installation-bundle 5.0.*@RC, found contao/installation-bundle[0.9.0, ..., 0.9.9, 1.0.0-beta1, ..., 1.2.4, 4.3.5, ..., 4.13.x-dev, 5.x-dev] but it does not match the constraint.
    Use the option --with-all-dependencies (-W) to allow upgrades, downgrades and removals for packages currently locked to specific versions.
    [86.4MiB/4.75s] <warning>Running update with --no-dev does not mean require-dev is ignored, it just means the packages will not be installed. If dev requirements are blocking the update you have to resolve those problems.</warning>
    [32.6MiB/4.78s] Memory usage: 32.6MB (peak: 122.19MB), time: 4.79s.
    [32.6MiB/4.78s] Finished Composer Cloud resolving.
    # Cloud Job ID M2qDB5JJjCYjl1bMnqfq8bVJO8pD7o6E0iTVL0l8AxWBiNhDg4HYSZ8YA9hWNOic6vYb6vGR52R9KgH5M failed
    vendor/bin/contao-console contao:maintenance-mode enable
    composer install
    vendor/bin/contao-console contao:maintenance-mode disable

  22. #22
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    30.320
    Partner-ID
    10107

    Standard

    Das contao/installation-bundle gibt es in Contao 5.0 nicht mehr, das musst du weglassen.
    » sponsor me via GitHub or PayPal or Revolut

  23. #23
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Würde ich gerne, aber wie mache ich das? Es erscheint ja nicht in der Liste der Pakete. Aktuell hat sich jetzt eine 4.13.6 installiert und ich versuche ein Update, was zu dem gezeigten Ergebnis führt. Muss ich da manuell die composer.json editieren? Habe da eben mal reingeschaut, da steht es auch nirgends drin. Anfangs versuchte ich 5.0 RC1 (5.0.*@RC) direkt per Experten-Modus zu installieren, das ging aber auch nicht.

  24. #24
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    30.320
    Partner-ID
    10107

    Standard

    Poste deine composer.json
    » sponsor me via GitHub or PayPal or Revolut

  25. #25
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Zitat Zitat von Spooky Beitrag anzeigen
    Poste deine composer.json
    Code:
    {
        "type": "project",
        "require": {
            "contao/conflicts": "*@dev",
            "contao/manager-bundle": "4.13.*",
            "contao/calendar-bundle": "4.13.*",
            "contao/comments-bundle": "4.13.*",
            "contao/faq-bundle": "4.13.*",
            "contao/listing-bundle": "4.13.*",
            "contao/news-bundle": "4.13.*",
            "contao/newsletter-bundle": "4.13.*"
        },
        "extra": {
            "public-dir": "public",
            "contao-component-dir": "assets"
        },
        "scripts": {
            "post-install-cmd": [
                "@php vendor/bin/contao-setup"
            ],
            "post-update-cmd": [
                "@php vendor/bin/contao-setup"
            ]
        }
    }

  26. #26
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    30.320
    Partner-ID
    10107

    Standard

    Da steht aber noch 4.13.* - poste die composer.json, nachdem du das auf 5.0.*@RC geändert hast.

    Falls du das über den Contao Manager versuchst: https://github.com/contao/contao-manager/issues/708

    Aber der Contao Manager unterstützt Contao 5 ohnehin noch nicht zu 100%.
    » sponsor me via GitHub or PayPal or Revolut

  27. #27
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Aha, also komplett neu manuell per SSH installieren? Bisher habe ich es in der Tat mit dem Manager versucht. Da ändert sich auch nichts an der composer.json, weil der Update-Versuch fehlschlägt und danach die 4.13.6 installiert bleibt.

  28. #28
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    30.320
    Partner-ID
    10107

    Standard

    Zitat Zitat von tab Beitrag anzeigen
    Aha, also komplett neu manuell per SSH installieren?
    Nein, einfach nur die composer.json ändern und dann die Pakete aktualisieren (egal ob über den Contao Manager oder die Konsole).
    » sponsor me via GitHub or PayPal or Revolut

  29. #29
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    So, nachdem ich auf 5.0.*@RC geändert und die minimum-stability noch geändert habe, hat der Manager jetzt was installiert. Datenbank aktualisieren geht freilich nicht im Manager, wie muss ich das jetzt machen?

  30. #30
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Ich vermute mal ich muss das über die Konsole machen und die Zugangsdaten in einer .env (oder .env.local?) angeben? Aber jetzt sicher nicht mehr. Da muss ich erst noch einiges nachlesen. Zudem steht beim Contao-Manager in der Konsole, dass bei der Installation alles funktioniert hat, alles "OK". Bei einer Systemprüfung schickt er mich allerdings entweder zur Reparatur oder in den abgesicherten Modus. Mit der von ihm selbst installierten Contao-Version scheint er also irgendwie (noch?) nicht klarzukommen. Naja, dafür ist es eine RC-Version

  31. #31
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    30.320
    Partner-ID
    10107

    Standard

    Wie gesagt, Contao 5 wird vom Manager noch nicht unterstützt.
    » sponsor me via GitHub or PayPal or Revolut

  32. #32
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Ich versuche gerade, eine Variante zu finden, mit der man ein Contao 5 RC1 installiert bekommt mit einem Minimum an Aktionen in der Konsole. Es gibt doch viele, die sich da nicht zuhause fühlen. Würde es funktionieren, eine bestehende, funktionsfähige Contao-Installation (z.B. 4.13.6) mittels Update per Contao-Manager auf Contao 5 RC-1 zu bringen?
    Also in etwa so:
    1. Installation von Contao 4.6.13 im Manager
    2. Installtool aufrufen, DB Zugangsdaten eingeben, Administrator-Account erstellen
    3. In der composer.json per Editor 4.6.13 durch 5.0.*@RC ersetzen Edit:und die minimale Stabilität auf RC setzen (s.u.)
    4. Im Manager ein composer update aller Pakete durchführen (Systemwartung oder Pakete aktualisieren)
    5. In der Konsole "php vendor/bin/contao-console contao:migrate" ausführen


    Das würde zumindest das Erstellen einer config/parameters.yml oder .env ersparen. Und ebenso das Erstellen eines Benutzers über die Konsole.
    Wie wird das später mal laufen mit dem Install-Tool? Übernimmt das dann der Manager oder wird man zwingend die Konsole brauchen?
    Geändert von tab (20.07.2022 um 11:38 Uhr)

  33. #33
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    30.320
    Partner-ID
    10107

    Standard

    Zitat Zitat von tab Beitrag anzeigen
    Es gibt doch viele, die sich da nicht zuhause fühlen.
    Die müssen halt auf das offizielle Release der neuen Contao Manager Version warten.



    Zitat Zitat von tab Beitrag anzeigen
    Würde es funktionieren, eine bestehende, funktionsfähige Contao-Installation (z.B. 4.13.6) mittels Update per Contao-Manager auf Contao 5 RC-1 zu bringen?
    Also in etwa so:
    Versuch's doch einfach?



    Zitat Zitat von tab Beitrag anzeigen
    Wie wird das später mal laufen mit dem Install-Tool? Übernimmt das dann der Manager oder wird man zwingend die Konsole brauchen?
    Die Credentials setzt du dann im Manager (ist auch schon im develop Branch so umgesetzt).
    » sponsor me via GitHub or PayPal or Revolut

  34. #34
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Zitat Zitat von Spooky Beitrag anzeigen
    Versuch's doch einfach?
    Das werde ich sicher machen, komme aber wahrscheinlich vor heute Abend nicht dazu. Aber macht nichts, ich brauche Contao 5 erst 2026, da habe ich noch etwas Zeit.

  35. #35
    Contao-Fan Avatar von Birden
    Registriert seit
    15.01.2011.
    Beiträge
    691

    Standard

    Zitat Zitat von tab Beitrag anzeigen
    ich brauche Contao 5 erst 2026, da habe ich noch etwas Zeit.
    Dann sind wir doch schon bei Contao 6 ...

  36. #36
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Zitat Zitat von tab Beitrag anzeigen
    Das werde ich sicher machen, komme aber wahrscheinlich vor heute Abend nicht dazu. Aber macht nichts, ich brauche Contao 5 erst 2026, da habe ich noch etwas Zeit.
    Die Mittagspause hat gereicht, klappt so! Allerdings beachten, die minimale Stabilität muss auf RC (oder niedriger) gesetzt werden bei der Änderung der composer.json!

    Hier meine geänderte composer.json für das Update auf 5.0.0-RC1:
    Code:
    {
        "type": "project",
        "require": {
            "contao/conflicts": "*@dev",
            "contao/manager-bundle": "5.0.*@RC",
            "contao/calendar-bundle": "5.0.*@RC",
            "contao/comments-bundle": "5.0.*@RC",
            "contao/faq-bundle": "5.0.*@RC",
            "contao/listing-bundle": "5.0.*@RC",
            "contao/news-bundle": "5.0.*@RC",
            "contao/newsletter-bundle": "5.0.*@RC"
        },
        "minimum-stability": "RC",
        "prefer-stable": true,  
        "extra": {
            "public-dir": "public",
            "contao-component-dir": "assets"
        },
        "scripts": {
            "post-install-cmd": [
                "@php vendor/bin/contao-setup"
            ],
            "post-update-cmd": [
                "@php vendor/bin/contao-setup"
            ]
        }
    }

  37. #37
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    30.320
    Partner-ID
    10107

    Standard

    Minimum Stability sollte eigentlich nicht notwendig sein, solange man alle Bundles required. Was ist die Konsolenausgabe ohne der minimum-stability?
    » sponsor me via GitHub or PayPal or Revolut

  38. #38
    Alter Contao-Hase Avatar von Franko
    Registriert seit
    22.06.2009.
    Beiträge
    1.473
    Partner-ID
    6122

    Standard

    Zitat Zitat von tab Beitrag anzeigen
    [*]In der Konsole "php vendor/bin/contao-console contao:migrate" ausführen[/LIST]

    Das würde zumindest das Erstellen einer config/parameters.yml oder .env ersparen. Und ebenso das Erstellen eines Benutzers über die Konsole.
    Wie wird das später mal laufen mit dem Install-Tool? Übernimmt das dann der Manager oder wird man zwingend die Konsole brauchen?
    Jein - Bei einer Neuinstallation zur Nutzung von (contao:migrate) mußt du zur Zeit zuvor manuell die .env mit den entsprechenden Angaben im root anlegen - s.a.:
    https://docs.contao.org/dev/referenc...anaged-edition

    Dann (contao:migrate) und anschließend (contao:user:create)

    Final/Später - via CM - wird dann die .env mit entsprechenden Angaben autom. erstellt.
    Geändert von Franko (20.07.2022 um 13:36 Uhr)
    Freelancer, Digital Design Enthusiast, Contao Aficionado and Tutorial Junkie @MoinFranko - Carpe diem ...

  39. #39
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Ich weiss es nicht mehr genau, das war noch eine Erkenntnis von gestern Abend bzw heute am sehr frühen Morgen. Ohne die minimale Stabilität zu setzen wurde nichts installiert nach der Änderung auf 5.0.*@RC in der composer.json

    Sinngemäß wurde aufgeführt, dass das Bundle in der Version 5.0.*@RC benötigt wird, dass es auch in dieser Version verfügbar ist, aber dass das gefundene Bundle die Stabilitätsanforderungen nicht erfüllt.

    Daraufhin habe ich mir das in der Doku angeschaut und entsprechend ergänzt. Das hat dann fehlerlos funktioniert.

  40. #40
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.695
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Zitat Zitat von Franko Beitrag anzeigen
    Jein - Zur Nutzung von (contao:migrate) mußt du zur Zeit zuvor manuell die .env mit den entsprechenden Angaben im root anlegen - s.a.:
    https://docs.contao.org/dev/referenc...anaged-edition

    Dann (contao:migrate) und anschließend (contao:user:create)

    Final/Später - via CM - wird dann die .env mit entsprechenden Angaben autom. erstellt.
    Die praktische Erfahrung spricht dagegen . Um das Gefriemel mit der .env zu vermeiden, habe ich ja zunächst Contao 4.6.13 (Edit: 4.13.6 natürlich ) komplett inklusive Installtool im Manager installiert. Dadurch werden beim Update auf 5.0.0 RC1 die Zugangsdaten aus der bereits existierenden config/parameters.yml verwendet. Um das Datenbank-Update durchzuführen reicht dann tatsächlich die Ausführung von contao:migrate inklusive Bestätigung der angezeigten Datenbankänderungen.

Seite 1 von 2 12 LetzteLetzte

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •